Plugin Résolu Erreur lors de l'installation de mon plugin

August621

Nouveau
6 Août 2019
8
0
2
15
Bonjour/Bonsoir j'ai eu une erreur quand j'ai mis mon plugin sur mon serveur cela me dit :

[13:25:52 ERROR]: Could not load 'plugins\Plugin.jar' in folder 'plugins'
org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:152) ~[spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugins(CraftServer.java:369) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at org.bukkit.craftbukkit.v1_7_R4.CraftServer.reload(CraftServer.java:864) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at org.bukkit.Bukkit.reload(Bukkit.java:301) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:23) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:181) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at org.bukkit.craftbukkit.v1_7_R4.CraftServer.dispatchCommand(CraftServer.java:767) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at org.bukkit.craftbukkit.v1_7_R4.CraftServer.dispatchServerCommand(CraftServer.java:753) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at net.minecraft.server.v1_7_R4.DedicatedServer.aB(DedicatedServer.java:326) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at net.minecraft.server.v1_7_R4.DedicatedServer.v(DedicatedServer.java:290) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at net.minecraft.server.v1_7_R4.MinecraftServer.u(MinecraftServer.java:584) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:490) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml
... 14 more

Je ne sais pas pourquoi.
A mon avis c'est qu'il n'y a pas le plugin.yml dans le fichier .jar mais pourtant il y est dedans
Et je ne sais pas pourquoi j'ai ce message là merci de me répondre.

Bonne journée à vous (ou soirée) et bon courage pour trouvé vos futurs réponses !
 

DiscowZombie

Développeur
Staff
Modérateur
Support
2 Mars 2017
2 669
935
248
19
Alsace
www.discowzombie.fr
Salut,

[13:25:52 ERROR]: Could not load 'plugins\Plugin.jar' in folder 'plugins'
org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml
... 14 more
effectivement le jar ne contient pas de fichier plugin.yml. Comment compiles tu ton plugin ?
 

Game_T

Cueilleur de roses
13 Septembre 2017
15
1
14
15
Bonsoir,
Ton plugin.yml est bien placé, mais son contenu est lui incorrect.
Le package indiqué est inexistant. Il faut donc que tu remplaces (dans ton plugin.yml) la ligne
Code:
main: fr.august631.Programme.plugin
par
Code:
main: fr.august631.plugin.plugin
(Et si tu changes de nom ton package/ton main, le pattern reste le même: package.TonMain)
 

Game_T

Cueilleur de roses
13 Septembre 2017
15
1
14
15
Que se passe t-il au démarrage de ton serveur ? Y a t-il une erreur ?
 

Game_T

Cueilleur de roses
13 Septembre 2017
15
1
14
15
Ton plugin en faisant la modif que je t'ai dis ci-dessus démarre sans problème sur mon serveur..
As tu pas déplacé ton plugin.yml autre part qu'a la racine de ton projet ?